/*
** anon ftp directory creator
**
** Copyright (C) 1997 Mark Rigby-Jones
** mrj@ox.compsoc.org.uk <*> http://www.ox.compsoc.org.uk/~mrj/
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** If you do not have a copy of the GNU General Public License then
** you can get one by writing to the Free Software Foundation, Inc.,
** 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdlib.h>
#include <stdio.h>
#include <strings.h>
#include <fcntl.h>
#include <unistd.h>
#include <pwd.h>
#include <sys/stat.h>
#include <sys/types.h>

#define VERSION "ftp-dir v1.2 by Mark Rigby-Jones, 5th March 1997"

#define ADMINS  "the Oxford University Computer Society"
#define FTP_DIR "/home/ftp/pub/users"
#define MESSAGE ".message"

int main(int argc, char *argv[])
{
    uid_t uid = getuid();
    struct passwd *pinfo = getpwuid(uid);
    char dirname[62], linkname[62], msgname[62], temp[128], *change;
    FILE *message;

    if (pinfo == NULL) {
      fprintf(stderr, "%s: Unable to get user information", argv[0]);
      perror("");
      exit(1);
    }
    if (pinfo->pw_gid < 100) {
      fprintf(stderr, "%s: You are in an invalid group! (%d)\n", argv[0], pinfo->pw_gid);
      exit(1);
    }

    snprintf(linkname, 61, "%s/public_ftp", pinfo->pw_dir);
    snprintf(dirname, 61, "%s/%s", FTP_DIR, pinfo->pw_name);
    snprintf(msgname, 61, "%s/%s", dirname, MESSAGE);

    umask(022);

    if (mkdir(dirname, 0755)) {
      fprintf(stderr, "Unable to create directory %s - ", dirname);
      perror("");
    } else {
      printf("Created directory %s\n", dirname);
    }

    setgid(pinfo->pw_gid);

    if (symlink(dirname, linkname)) {
      fprintf(stderr, "Unable to create link from %s - ", linkname);
      perror("");
    } else {
      printf("Created link from %s\n", linkname);
    }

    message = fopen(msgname, "r");
    if (message != NULL) {
      fclose(message);
      printf("%s already present.\n", msgname);
    } else {
      message = fopen(msgname, "w");
      if (message != NULL) {
	strcpy(temp, pinfo->pw_gecos);
	change = strchr(temp, ',');
	if (change != NULL) {
	  change[0] = 0;
	}
	fprintf(message, " Files in this directory are maintained by %s.\n %s takes no responsibility for any\n files you may find in this directory.\n You can email the maintainer as ", temp, ADMINS);
	fclose(message);
	sprintf(temp, "grep %s:mailname /etc/userdb | cut -f 2 >> %s", pinfo->pw_name, msgname);
	system(temp);
	printf("Created %s\n", msgname);
      } else {
	fprintf(stderr, "Unable to create %s - ", msgname);
	perror("");
      }
    }
    exit(0);
}

