.TH HELP 1 "8th March 1997" "CSOC Utils" "Linux Programmer's Manual"
.SH NAME
help \- simple help utility
.SH SYNOPSIS
.I help
.RB [ option ]
.RB [ topicname ]
.SH DESCRIPTION
.B help
is a simple utility for interactively providing help information. When started
it normally goes into interactive mode with the commands listed below
available. If a topic is specified on the command line, help will normally
exit immediately after outputing any information.
.SH OPTIONS
.TP
.BR \-i ,\  --interactive
Display help on the specified topic, then go into interactive mode instead of
immediately exiting.
.TP
.BR \-h ,\  --help
Output help information and then exit.
.TP
.BR \-V ,\  --version
Output version information and then exit.
.SH COMMANDS
.TP
.RB < topicname >
Displays any help information on that topic. If there is no help information,
then help will check to see if an
.B rpm
is installed with that name and if so will display information about that.
.TP
.B list
List all the available topics.
.TP
.BR man \ [ args ]
View or search manual pages.
.TP
.BR info \ [ args ]
Access GNU info documentation.
.TP
.B help
Display information on using help.
.TP
.B quit
Exit help.
.SH ENVIRONMENT
.TP
.B PAGER
Pager to use in place of
.B less \-eis
.SH FILES
.TP
.I /usr/local/lib/*
Files which can be displayed by
.BR help .
.SH SEE ALSO
.BR man (1),
.BR info (1),
.BR rpm (8)
.SH AUTHOR
.B help
v2.0 was written by Mark Rigby-Jones <mrj@ox.compsoc.org.uk>
