.TH LG 8 "9th March 1997" "CSOC Utils" "Linux Programmer's Manual"
.SH NAME
lg \- log file monitor and maintainer
.SH SYNOPSIS
.I lg
.RB [ option ]
.RB [ logfile ]
.SH DESCRIPTION
.B lg
is a shell script designed to make monitoring and maintaining log files
easier. The default logfile is
.IR /var/admin/log ,
but this can be changed on the command line. The default behaviour is to
check whether the logfile has been altered since the user last read it using
.BR lg ,
and print a brief message if this is the case, other options allow the
reading of logfiles (in whole, or just the last part) and the appending of
items to the logfile.
.SH OPTIONS
.TP
.BR \-a ,\  --add
Append an entry to a logfile. Edits a temporary file which will then be
appended to the specified logfile, together with the system date and time and
the hostname of the machine
.B lg
is being run on. If the file is not saved, the append is cancelled. The
default edtitor is
.BR pico ,
but this will be overriden by the
.I EDITOR
and
.I VISUAL
environment variables. Note that the standard logfile format is to have your
initials at the beginning of the first line, and all other text indented by
four characters. Also, all blank lines will be removed, so if you want an
empty line, put a single whitespace character on it.
.TP
.BR \-p ,\  --page
Read the entire logfile using
.BR less ,
or whatever you've set the
.I PAGER
environment variable to be. This will update the last-read timestamp.
.TP
.BR \-t ,\  --tail
Read the end of logfile using
.B tail
(actually, the last 24 lines, the maximum for a dumb terminal or console
window). This will update the last-read timestamp.
.TP
.BR \-h ,\  --help
Output help information and exit.
.TP
.BR \-V ,\  --version
Output version information and exit.
.SH ENVIRONMENT
.TP
.I EDITOR
Text editor to use in place of
.B pico
.TP
.I VISUAL
Overrides
.I EDITOR
.TP
.I PAGER
Pager to use in place of
.B less \-eis
.SH FILES
.TP
.I $HOME/.lg/*
last-read timestamps for logfiles (shared with
.BR td )
.TP
.I /tmp/lg.*
various temporary files
.TP
.I /var/admin/log
default logfile to check/append to/read
.SH SEE ALSO
.BR td (8)
.SH BUGS
The last-read timestamps are not updated if logfiles are read directly rather
than via
.BR lg ,
but this one can't really be fixed. Now that the logs are in
.IR /var/admin/ ,
the saved typing may help to persuade people to use
.B lg
rather than direct reading.
.SH RESTRICTIONS
For security reasons,
.B lg
should not be used whilst you're root \- in fact, it will exit with an error
message if the effective user ID is 0.
.SH AUTHOR
.B lg
v1.4 was written by Mark Rigby-Jones <mrj@ox.compsoc.org.uk>
