.TH TD 8 "9th March 1997" "CSOC Utils" "Linux Programmer's Manual"
.SH NAME
td \- TODO file monitor and maintainer
.SH SYNOPSIS
.I td
.RB [ option ]
.RB [ TODOfile ]
.SH DESCRIPTION
.B td
is a shell script designed to make monitoring and maintaining TODO files
easier. The default TODO file is
.IR /var/admin/TODO ,
but this can be changed on the command line. The default behaviour is to check
whether the TODO file has been altered since the user last read it using
.BR td ,
and print a brief message if this is the case, other options allow the reading
and safe editing of TODO files.
.SH OPTIONS
.TP
.BR \-e ,\  --edit
Allows you to edit the TODO file, first creating a lock file which will stop
other
.B td
users from editing it in the meantime. The default edtitor is
.BR pico ,
but this will be overriden by the
.I EDITOR
and
.I VISUAL
environment variables. This will update the last-read timestamp.
.TP
.BR \-p ,\  --page
Read the TODO file using
.BR less ,
or whatever you've set the
.I PAGER
environment variable to be. This will update the last-read timestamp.
.TP
.BR \-h ,\  --help
Output help information and exit.
.TP
.BR \-V ,\  --version
Output version information and exit.
.SH ENVIRONMENT
.TP
.I EDITOR
Text editor to use in place of
.B pico
.TP
.I VISUAL
Overrides
.I EDITOR
.TP
.I PAGER
Pager to use in place of
.B less \-eis
.SH FILES
.TP
.I $HOME/.lg/*
last-read timestamps for TODO files (shared with
.BR lg )
.TP
.I /tmp/td.*
various temporary files
.TP
.I /tmp/td.*.lock
lock files used whilst editing a TODO file
.TP
.I /var/admin/TODO
default TODO file to check/append to/read
.SH SEE ALSO
.BR lg (8)
.SH BUGS
The last-read timestamps are not updated if TODO files are read directly
rather than via
.BR td ,
but this one can't really be fixed. Now that the TODO files are in
.IR /var/admin/ ,
the saved typing may help to persuade people to use
.B td
rather than direct reading. Similarly there is nothing to prevent a user from
directly editing a TODO file whilst
.B td
has `locked' it.
.SH RESTRICTIONS
For security reasons,
.B td
should not be used whilst you're root \- in fact, it will exit with an error
message if the effective user ID is 0.
.SH AUTHOR
.B td
v1.1 was written by Mark Rigby-Jones <mrj@ox.compsoc.org.uk>